Name: xpired
Version: 1.22
Release: alt2

Source0: %name-%version-linux_source.tar.bz2
Source2: %name.16.xpm
Source3: %name.32.xpm
Source4: %name.48.xpm


Group: Games/Arcade
Summary: Action puzzle game
Url: http://xpired.temnet.org/
License: GPL

# Automatically added by buildreq on Tue Aug 13 2002
#BuildRequires: XFree86-libs aalib esound libSDL-devel libSDL_gfx-devel libSDL_image-devel libSDL_mixer-devel libSDL_net-devel libalsa2 libarts libaudiofile libdirectfb libjpeg libogg libslang libsmpeg libtiff libvorbis

BuildRequires: XFree86-libs aalib esound
BuildRequires: libSDL-devel libSDL_gfx-devel libSDL_image-devel
BuildRequires: libSDL_mixer-devel libSDL_net-devel
BuildRequires: libalsa2 libarts
BuildRequires: libaudiofile libdirectfb libjpeg libogg
BuildRequires: libslang libsmpeg libtiff libvorbis

%description
X-Pired is an action puzzle game. The goal of the game in each level
is to reach the exit square, avoiding exploding barrels and other
deadly stuff.

%prep
%setup -q -n src

%build
%make PREFIX=%prefix SHARE_PREFIX=%_gamesdatadir/xpired

%install
%make install PREFIX=%buildroot/%prefix SHARE_PREFIX=%buildroot/%_gamesdatadir/xpired

mkdir -p %buildroot/%_gamesbindir
mv %buildroot/%_bindir/* %buildroot/%_gamesbindir

mkdir -p $RPM_BUILD_ROOT%_menudir
cat <<EOF >$RPM_BUILD_ROOT%_menudir/%name
?package(%name):command="%_gamesbindir/%name --fullscreen" \
		  icon="%name.xpm" \
		  needs="x11" \
		  section="Amusement/Arcade" \
		  title="X-Pired" \
		  longtitle="Action-puzzle game"
EOF
cat <<EOF >$RPM_BUILD_ROOT%_menudir/%name-editor
?package(%name):command="%_gamesbindir/%name" \
		  icon="%name.xpm" \
		  needs="x11" \
		  section="Amusement/Arcade" \
		  title="X-Pired editor" \
		  longtitle="X-Pired level editor"
EOF

mkdir -p %buildroot/%_iconsdir %buildroot/%_miconsdir %buildroot/%_liconsdir
install -m 644 %SOURCE2 %buildroot/%_miconsdir/%name.xpm
install -m 644 %SOURCE3 %buildroot/%_iconsdir/%name.xpm
install -m 644 %SOURCE4 %buildroot/%_liconsdir/%name.xpm


%post
%update_menus

%postun
%clean_menus

%files
%doc *.txt README*
%_gamesbindir/*
%_gamesdatadir/*
%_menudir/*
%_iconsdir/%name.xpm
%_miconsdir/%name.xpm
%_liconsdir/%name.xpm

%changelog
* Mon Oct 14 2002 Sergey V Turchin <zerg@altlinux.ru> 1.22-alt2
- rebuild with gcc3.2

* Tue Aug 13 2002 Sergey V Turchin <zerg@altlinux.ru> 1.22-alt1
- initial spec

